# Generated by sila2.code_generator; sila2.__version__: 0.10.5
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict

from ..generated.simulationcontroller import (
    SimulationControllerBase,
    StartRealMode_Responses,
    StartSimulationMode_Responses,
)

if TYPE_CHECKING:
    from ..server import Server


class SimulationControllerImpl(SimulationControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def get_SimulationMode(self, *, metadata: MetadataDict) -> bool:
        raise NotImplementedError  # TODO

    def StartSimulationMode(self, *, metadata: MetadataDict) -> StartSimulationMode_Responses:
        raise NotImplementedError  # TODO

    def StartRealMode(self, *, metadata: MetadataDict) -> StartRealMode_Responses:
        raise NotImplementedError  # TODO
